/*
 * Copyright 2005 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 

package org.wamblee.conditions;

/**
 * Condition which always returns a fixed value. 
 *
 * @author Erik Brakkee
 */
public class FixedCondition<T> implements Condition<T> {
    
    private boolean _value; 
    
    /**
     * Constructs the condition. 
     * @param aValue Fixed value of the condition. 
     */
    public FixedCondition(boolean aValue) { 
        _value = aValue; 
    }

    /* (non-Javadoc)
     * @see org.wamblee.conditions.Condition#matches(T)
     */
    public boolean matches(T aObject) {
        return _value; 
    }

}
